---
# pvc.yaml
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-fe-meta-pvc
  namespace: uavcloud-devflight
spec:
  storageClassName: nfs-prod-distribute
  volumeMode: Filesystem
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 10Gi

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-fe-log-pvc
  namespace: uavcloud-devflight
spec:
  storageClassName: nfs-prod-distribute
  volumeMode: Filesystem
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 10Gi

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-be-storage-pvc
  namespace: uavcloud-devflight
spec:
  storageClassName: nfs-prod-distribute
  volumeMode: Filesystem
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 180Gi  # 根据实际存储需求调整

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-be-log-pvc
  namespace: uavcloud-devflight
spec:
  storageClassName: nfs-prod-distribute
  volumeMode: Filesystem
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 10Gi